com.salesforce.datacloud.jdbc.util

## Interface ThrowingSupplier<T,E extends Exception>

    public interface ThrowingSupplier<T,E extends Exception>

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`T` `get()`
`static <T,E extends Exception> LongSupplier` `rethrowLongSupplier(ThrowingSupplier<T,E> function)`
`static <T,E extends Exception,R> Supplier<Stream<R>>` `rethrowSupplier(ThrowingSupplier<T,E> function)`
`static <E extends Throwable> void` `throwAsUnchecked(Exception exception)`

### Method Detail

#### get

    T get()
    throws E extends Exception

Throws:
  `E extends Exception`

#### rethrowSupplier

    static <T,E extends Exception,R> Supplier<Stream<R>> rethrowSupplier(ThrowingSupplier<T,E> function)
                                                                  throws E extends Exception

Throws:
  `E extends Exception`

#### rethrowLongSupplier

    static <T,E extends Exception> LongSupplier rethrowLongSupplier(ThrowingSupplier<T,E> function)
                                                             throws E extends Exception

Throws:
  `E extends Exception`

#### throwAsUnchecked

    static <E extends Throwable> void throwAsUnchecked(Exception exception)
                                                throws E extends Throwable

Throws:
  `E extends Throwable`